#script to read out necessary data for calculation of continental temperature (sst, fraction land, surface temperature)
# -*- coding: utf-8 -*-
"""
Created on Thu Dec  4 15:16:24 2014

@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
#from newsavetxt import *
#import matplotlib.pyplot as plt
#from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
#from matplotlib.backends.backend_pdf import PdfPages
import sys
import numpy.ma as ma

np.set_printoptions(threshold=sys.maxint)

#getting continent contours
nc_f_360_cont = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_360Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare_newcontconfig/topog.dta.nc'
nc_f_380_cont = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/topog.dta.nc'
nc_f_415_cont = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_415Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/topog.dta.nc'


nc_f_cont=[nc_f_360_cont,nc_f_380_cont,nc_f_415_cont]
cont=[360,380,415]
contname=['360','380','415']


datacont=nc_f_360_cont
nc_fid = Dataset(datacont, 'r') 
cont_t=nc_fid.variables['dht'][0,:,:]#land ocean mask grid center
cont_u=nc_fid.variables['dhu'][0,:,:]#land ocean mask grid border

for i in range(0,48):
  for j in range (0,96):
      if cont_t[i,j] == 2500:
          cont_t[i,j]=1
      else:
          cont_t[i,j]=0
            
      if cont_u[i,j] == 2500:
          cont_u[i,j]=1
      else:
          cont_u[i,j]=0

tab='\n'
comment='#'
filename='ModelOutput_continents360.dat'
with file(filename,'w') as outfile:
    outfile.write(comment+'continent contours center'+tab)
    np.savetxt(outfile,cont_t,fmt='%12.3f')
    outfile.write(comment+'continent contours borders'+tab)
    np.savetxt(outfile,cont_u,fmt='%12.6f')
    
    
datacont=nc_f_380_cont
nc_fid = Dataset(datacont, 'r') 
cont_t=nc_fid.variables['dht'][0,:,:]#land ocean mask grid center
cont_u=nc_fid.variables['dhu'][0,:,:]#land ocean mask grid border

for i in range(0,48):
  for j in range (0,96):
      if cont_t[i,j] == 2500:
          cont_t[i,j]=1
      else:
          cont_t[i,j]=0
            
      if cont_u[i,j] == 2500:
          cont_u[i,j]=1
      else:
          cont_u[i,j]=0

tab='\n'
comment='#'
filename='ModelOutput_continents380.dat'
with file(filename,'w') as outfile:
    outfile.write(comment+'continent contours center'+tab)
    np.savetxt(outfile,cont_t,fmt='%12.3f')
    outfile.write(comment+'continent contours borders'+tab)
    np.savetxt(outfile,cont_u,fmt='%12.6f')
    
    
datacont=nc_f_415_cont
nc_fid = Dataset(datacont, 'r') 
cont_t=nc_fid.variables['dht'][0,:,:]#land ocean mask grid center
cont_u=nc_fid.variables['dhu'][0,:,:]#land ocean mask grid border

for i in range(0,48):
  for j in range (0,96):
      if cont_t[i,j] == 2500:
          cont_t[i,j]=1
      else:
          cont_t[i,j]=0
            
      if cont_u[i,j] == 2500:
          cont_u[i,j]=1
      else:
          cont_u[i,j]=0

tab='\n'
comment='#'
filename='ModelOutput_continents415.dat'
with file(filename,'w') as outfile:
    outfile.write(comment+'continent contours center'+tab)
    np.savetxt(outfile,cont_t,fmt='%12.3f')
    outfile.write(comment+'continent contours borders'+tab)
    np.savetxt(outfile,cont_u,fmt='%12.6f')
    
    

nc_f_360 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_360Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare_newcontconfig/'
nc_f_380 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/'
nc_f_415 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_415Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/'
nc_f=[nc_f_360,nc_f_380,nc_f_415]

for j in range(len(contname)):
    nc_fid = Dataset(nc_f[j]+'snapshots_potsdam2.000202.01.01.dta.nc', 'r') 
                        
    frlnd = nc_fid.variables['frlnd'][:,:,:]#quantity is defined at the grid centers
    frlnd=np.mean(frlnd,axis=0)#time mean 
        
    arrayp2s=np.array([frlnd])
    namesp2s=np.array(['frlnd'])   
            
    tab='\n'
    comment='#'
    filename='ModelOutput_p2s_frlnd_'+contname[j]+'.dat'
    with file(filename,'w') as outfile:
        for k in range(len(arrayp2s)):
            outfile.write(comment+namesp2s[k]+tab)
            np.savetxt(outfile,arrayp2s[k],fmt='%12.6f')
