#This script reads out model data from ISIS history files and writes it in .dat files. The output files are then used to generate Fig. 10 in 'On the sensitivity of the Devonian climate to continental configuration, vegetation cover, orbital configuration, CO2 concentration and insolation'

# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
#from newsavetxt import *
#import matplotlib.pyplot as plt
#from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
#from matplotlib.backends.backend_pdf import PdfPages
import sys
import numpy.ma as ma

np.set_printoptions(threshold=sys.maxint)


cont=[360,380,415]
contname=['360','380','415']


nc_f_360 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_360Ma_1000ppm_1321Wm2_O23p5_E0p000_P000_latedevveg/history_isis.nc'
nc_f_380 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_middledevveg/history_isis.nc'
nc_f_415 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_415Ma_2000ppm_1315Wm2_O23p5_E0p000_P000_earlydevveg/history_isis.nc'

nc_f=[nc_f_360,nc_f_380,nc_f_415]

#nc_f=[nc_f_360,nc_f_380]


namedata=[]

ice_ann=np.zeros((48,96))

for j in range(len(cont)):
    nc_fid = Dataset(nc_f[j], 'r')        
    ice_ann_1000years = nc_fid.variables['con_g'][3001:4000,:,:,:]
    ice_ann[:,:]=np.ma.mean(ice_ann_1000years[:,:,:,:], axis=0)
    ice_ann=np.ma.filled(ice_ann,fill_value=-1)
        
    arrayisish=np.array([ice_ann])   
    namesisish=np.array(['ice_ann'])        
    tab='\n'
    comment='#'
    filename='ModelOutput_isish_'+contname[j]+'_bestguess.dat'
    with file(filename,'w') as outfile:
        for k in range(len(arrayisish)):
            outfile.write(comment+namesisish[k]+tab)
            np.savetxt(outfile,arrayisish[k],fmt='%12.6f')
