#This script reads out model data from POTSDAM2 history files and writes it in .dat format. The output files are then used to generate Fig. 10 in 'On the sensitivity of the Devonian climate to continental configuration, vegetation cover, orbital configuration, CO2 concentration and insolation'
# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
#from newsavetxt import *
#import matplotlib.pyplot as plt
#from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
#from matplotlib.backends.backend_pdf import PdfPages
import sys
import numpy.ma as ma

np.set_printoptions(threshold=sys.maxint)


cont=[360,380,415]
contname=['360','380','415']


nc_f_360 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_360Ma_1000ppm_1321Wm2_O23p5_E0p000_P000_latedevveg/'
nc_f_380 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_middledevveg/'
nc_f_415 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_415Ma_2000ppm_1315Wm2_O23p5_E0p000_P000_earlydevveg/'

nc_f=[nc_f_360,nc_f_380,nc_f_415]


namedata=[]

for j in range(len(cont)):
    historyp2=[]
    datahp2=[]
    historyp2=np.append(historyp2,nc_f[j]+'/history_p2.nc')
    datahp2=np.append(datahp2,historyp2[0])

    historyp2=np.append(historyp2,'history_p2.nc')
    datahp2=np.append(datahp2,nc_f[j]+historyp2[1])
            
    nc_f_hp2=datahp2[0]
    nc_fid_hp2 = Dataset(nc_f_hp2, 'r') 
    tsann = np.zeros((4002,24,16))    
    tsann[:,:,:] =nc_fid_hp2.variables['ts_ann'][0:4002,:,:]#quantity is defined at the grid centers
        
    arrayp2h=np.array([tsann])   
    namesp2h=np.array(['tsann'])        
    tab='\n'
    comment='#'
    filename='ModelOutput_p2h_'+contname[j]+'_bestguess.dat'
    with file(filename,'w') as outfile:
        for k in range(len(arrayp2h)):
            outfile.write(comment+namesp2h[k]+tab)
            for i in range(0,4002):
                np.savetxt(outfile,arrayp2h[k,i],fmt='%12.6f')
