#This files writes data giving the continental contours for the three Devonian continental configurations in .dat files
#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""
import numpy as np
from netCDF4 import Dataset
import sys

np.set_printoptions(threshold=sys.maxint)

#getting continent contours
nc_f_360_cont = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_360Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare_newcontconfig/topog.dta.nc'
nc_f_380_cont = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/topog.dta.nc'
nc_f_415_cont = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_415Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/topog.dta.nc'

nc_f_cont=[nc_f_360_cont,nc_f_380_cont,nc_f_415_cont]
cont=[360,380,415]
contname=['360','380','415']

for k in range(0,3):
    datacont=nc_f_cont[k]
    nc_fid = Dataset(datacont, 'r') 
    cont_t=nc_fid.variables['dht'][0,:,:]#land ocean mask grid center
    cont_u=nc_fid.variables['dhu'][0,:,:]#land ocean mask grid border

    for i in range(0,48):
        for j in range (0,96):
            if cont_t[i,j] == 2500:
                cont_t[i,j]=1
            else:
                cont_t[i,j]=0
            
            if cont_u[i,j] == 2500:
                cont_u[i,j]=1
            else:
                cont_u[i,j]=0

    tab='\n'
    comment='#'
    filename='ModelOutput_continents'+contname[k]+'.dat'
    with file(filename,'w') as outfile:
        outfile.write(comment+'continent contours center'+tab)
        np.savetxt(outfile,cont_t,fmt='%12.3f')
        outfile.write(comment+'continent contours borders'+tab)
        np.savetxt(outfile,cont_u,fmt='%12.6f')
