#writes orograhy of Devonian continental configuration in .dat files
# -*- coding: utf-8 -*-
"""
Created on Thu Dec  4 15:16:24 2014

@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
import sys

np.set_printoptions(threshold=sys.maxint)

cont=[360,380,415]
contname=['360','380','415']


nc_f_360 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_360Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare_newcontconfig/'
nc_f_380 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/'
nc_f_415 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_415Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/'

nc_f=[nc_f_360,nc_f_380,nc_f_415]

namedata=[]

for j in range(len(cont)):

    nc_f_sp2=nc_f[j]+'snapshots_potsdam2.000202.01.01.dta.nc'

    nc_fid = Dataset(nc_f_sp2, 'r') 
        
    lonsp2=nc_fid.variables['xu_i'][:]#longitudes of the grid's borders
    lonsp2=np.concatenate((np.array([0]),lonsp2))#add longitude 0 to the lonigtude array
    latsp2=nc_fid.variables['yu_j'][:]#latitudes of the grid's borders
    latmidsp2=nc_fid.variables['yt_j'][:]#latitudes of the grid's centers(needed to calculate cosine fractions)
    lonmidsp2=nc_fid.variables['xt_i'][:]#longitudes of the grid's centers
    depthsp2=nc_fid.variables['zw_k'][:]
    timesp2=nc_fid.variables['Time'][:]
    arrayp2slonlat=np.array([lonsp2,latsp2,latmidsp2,lonmidsp2,depthsp2])
    namesp2slonlat=np.array(['lonsp2','latsp2','latmidsp2','lonmidsp2','depthsp2'])
        
    oro = nc_fid.variables['horo'][:,:,:]#quantity is defined at the grid centers
    oro=np.mean(oro,axis=0)#time mean 
        
    arrayp2s=np.array([oro])
    namesp2s=np.array(['oro'])   
            
    tab='\n'
    comment='#'
    filename='ModelOutput_oro'+'_'+contname[j]+'.dat'
    with file(filename,'w') as outfile:
        for k in range(len(arrayp2s)):
            outfile.write(comment+namesp2s[k]+tab)
            np.savetxt(outfile,arrayp2s[k],fmt='%12.6f')
