#This script reads out model data and writes it in .dat file. The output files are then used to generate Fig. 6 in 'On the sensitivity of the Devonian climate to continental configuration, vegetation cover, orbital configuration, CO2 concentration and insolation'

# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
#from newsavetxt import *
#import matplotlib.pyplot as plt
#from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
#from matplotlib.backends.backend_pdf import PdfPages
import sys
import numpy.ma as ma

np.set_printoptions(threshold=sys.maxint)

nc_f_24p5 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O24p5_E0p069_P315_bare_3600s/'

nc_f=[nc_f_24p5]
obl=['24p5']

namedata=[]

for j in range(len(obl)):

    historyp2=[]
    datahp2=[]
    historyp2=np.append(historyp2,nc_f[j]+'/history_p2.nc')
    datahp2=np.append(datahp2,historyp2[0])        

    nc_f_hp2=datahp2[0]
    nc_fid_hp2 = Dataset(nc_f_hp2, 'r') 
    
    tsann = np.zeros((3812,24,16))   
    tsann[:,:,:] =nc_fid_hp2.variables['ts_ann'][:,:,:]#quantity is defined at the grid centers
        
    arrayp2h=np.array([tsann])   
    namesp2h=np.array(['tsann'])        
    tab='\n'
    comment='#'
    filename='ModelOutput_p2h_'+obl[j]+'_3600s.dat'
    with file(filename,'w') as outfile:
        for k in range(len(arrayp2h)):
            outfile.write(comment+namesp2h[k]+tab)
            for i in range(0,3802):
                np.savetxt(outfile,arrayp2h[k,i],fmt='%12.6f')
                
                
    historyisis=[]
    datahisis=[]
    historyisis=np.append(historyisis,nc_f[j]+'/history_isis.nc')
    datahisis=np.append(datahisis,historyisis[0])        

    nc_f_hisis=datahisis[0]
    nc_fid_hisis = Dataset(nc_f_hisis, 'r') 
    
    con_g = np.zeros((3812,48,96))
        
    con_g[:,:,:] =nc_fid_hisis.variables['con_g'][:,0,:,:]#quantity is defined at the grid centers
    con_g[con_g<0]=-1
    
    arrayisish=np.array([con_g])   
    namesisish=np.array(['ice fraction'])        
    tab='\n'
    comment='#'
    filename='ModelOutput_isish_'+obl[j]+'_3600s.dat'
    with file(filename,'w') as outfile:
        for k in range(len(arrayisish)):
            outfile.write(comment+namesisish[k]+tab)
            for i in range(0,3802):
                np.savetxt(outfile,arrayisish[k,i],fmt='%12.6f')
                
                
    historymom=[]
    datahmom=[]
    historymom=np.append(historymom,nc_f[j]+'/history.nc')
    datahmom=np.append(datahmom,historymom[0])        

    nc_f_hmom=datahmom[0]
    nc_fid_hmom = Dataset(nc_f_hmom, 'r') 
    
    glb_over = np.zeros((3812,25,48))
        
    glb_over[:,:,:] =nc_fid_hmom.variables['glb_over'][:,:,:]#quantity is defined at the grid centers
    #glb_over[con_g<0]=-1
    
    arraymomh=np.array([glb_over])   
    namesmomh=np.array(['global overturning'])        
    tab='\n'
    comment='#'
    filename='ModelOutput_momh_'+obl[j]+'_3600s.dat'
    with file(filename,'w') as outfile:
        for k in range(len(arraymomh)):
            outfile.write(comment+namesmomh[k]+tab)
            for i in range(0,3802):
                np.savetxt(outfile,arraymomh[k,i],fmt='%12.6f')
