#This script reads out model data and writes it in .dat file. The output files are then used to generate Fig. 2 in the Supplementary Material for 'On the sensitivity of the Devonian climate to continental configuration, vegetation cover, orbital configuration, CO2 concentration and insolation'

# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
#from newsavetxt import *
#import matplotlib.pyplot as plt
#from mpl_toolkits.basemap import Basemap, addcyclic, shiftgrid
#from matplotlib.backends.backend_pdf import PdfPages
import sys
import numpy.ma as ma

np.set_printoptions(threshold=sys.maxint)

nc_f_early = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_415Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/cdo_1000years/'
nc_f_middle = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/cdo_1000years/'
nc_f_late = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_360Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare_newcontconfig/cdo_1000years/'

nc_f=[nc_f_early,nc_f_middle,nc_f_late]
cont=['415','380','360']

namedata=[]

for j in range(len(cont)):

    historymom=[]
    datahmom=[]
    historymom=np.append(historymom,nc_f[j]+'/snapshots-1000years-yearmean_temp_u_v.nc')
    datahmom=np.append(datahmom,historymom[0])        

    nc_f_hmom=datahmom[0]
    nc_fid_hmom = Dataset(nc_f_hmom, 'r') 
    
            
    temp = nc_fid_hmom.variables['temp'][:,0,:,:]
    temp=np.ma.filled(temp,fill_value=-100)
    temp=np.mean(temp,axis=0)
    
    u = nc_fid_hmom.variables['u'][:,0,:,:]
    u=np.ma.filled(u,fill_value=-100)
    u=np.mean(u,axis=0)
    
    v = nc_fid_hmom.variables['v'][:,0,:,:]
    v=np.ma.filled(v,fill_value=-100)
    v=np.mean(v,axis=0)
            
    arraymomh=np.array([temp,u,v])   
    namesmomh=np.array(['temp','u','v'])        
    tab='\n'
    comment='#'
    filename='ModelOutput_momh_'+cont[j]+'_continents.dat'
    with file(filename,'w') as outfile:
        for k in range(len(arraymomh)):
            outfile.write(comment+namesmomh[k]+tab)
            np.savetxt(outfile,arraymomh[k],fmt='%12.6f')
