#This script reads out model data from POTSDAM2 history files and writes it in .dat format. The output files are then used to generate Fig. 4 in the Supplementary Material for 'On the sensitivity of the Devonian climate to continental configuration, vegetation cover, orbital configuration, CO2 concentration and insolation'
# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
import sys

np.set_printoptions(threshold=sys.maxint)


co2=[2000,1500,1000]
co2name=['2000','1500','1000']


nc_f_2000 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_2000ppm_1319Wm2_O23p5_E0p000_P000_bare/'
nc_f_1500 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/'
nc_f_1000 = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1000ppm_1319Wm2_O23p5_E0p000_P000_bare/'

nc_f=[nc_f_2000,nc_f_1500,nc_f_1000]


namedata=[]

for j in range(len(co2)):
    historyp2=[]
    datahp2=[]
    historyp2=np.append(historyp2,nc_f[j]+'/history_p2.nc')
    datahp2=np.append(datahp2,historyp2[0])
            
    nc_f_hp2=datahp2[0]
    nc_fid_hp2 = Dataset(nc_f_hp2, 'r')    
    tsann=nc_fid_hp2.variables['ts_ann'][3001:4001,:,:]
    tsann=np.mean(tsann,axis=0)
    
    arrayp2h=np.array([tsann])   
    namesp2h=np.array(['tsann'])        
    tab='\n'
    comment='#'
    filename='ModelOutput_p2h_'+co2name[j]+'.dat'
    with file(filename,'w') as outfile:
        for k in range(len(arrayp2h)):
            outfile.write(comment+namesp2h[k]+tab)
            np.savetxt(outfile,arrayp2h[k],fmt='%12.6f')
