#This script reads out model data from POTSDAM2 history files and writes it in .dat format. The output files are then used to generate Fig. 6 in the Supplementary Material for 'On the sensitivity of the Devonian climate to continental configuration, vegetation cover, orbital configuration, CO2 concentration and insolation'
# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
import sys

np.set_printoptions(threshold=sys.maxint)

vegname=['bare','tree','bareLeHir','treeLeHir']


nc_f_bare = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/'
nc_f_tree = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_treecover/'
nc_f_bareLeHir = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_LeHir_albedo_bare/'
nc_f_treeLeHir = '/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_LeHir_albedo_treecover/'

nc_f=[nc_f_bare,nc_f_tree,nc_f_bareLeHir,nc_f_treeLeHir]


namedata=[]

for j in range(len(vegname)):
    historyp2=[]
    datahp2=[]
    historyp2=np.append(historyp2,nc_f[j]+'/history_p2.nc')
    datahp2=np.append(datahp2,historyp2[0])
            
    nc_f_hp2=datahp2[0]
    nc_fid_hp2 = Dataset(nc_f_hp2, 'r')    
    tsann=nc_fid_hp2.variables['ts_ann'][3001:4001,:,:]
    tsann=np.mean(tsann,axis=0)
    
    arrayp2h=np.array([tsann])   
    namesp2h=np.array(['tsann'])        
    tab='\n'
    comment='#'
    filename='ModelOutput_p2h_'+vegname[j]+'.dat'
    with file(filename,'w') as outfile:
        for k in range(len(arrayp2h)):
            outfile.write(comment+namesp2h[k]+tab)
            np.savetxt(outfile,arrayp2h[k],fmt='%12.6f')
