#This script reads out model data from POTSDAM2 history files and writes it in .dat format. The output files are then used to generate Fig. 7 in the Supplementary Material for 'On the sensitivity of the Devonian climate to continental configuration, vegetation cover, orbital configuration, CO2 concentration and insolation'
# -*- coding: utf-8 -*-
"""
@author: juliabrugger
"""

import numpy as np
from netCDF4 import Dataset
import sys

np.set_printoptions(threshold=sys.maxint)

namedata=[]


historyp2=[]
datahp2=[]
historyp2=np.append(historyp2,'/Volumes/IPLEX/p/projects/ace/brugger/c3beta_devn_380Ma_1500ppm_1319Wm2_O23p5_E0p000_P000_bare/history_p2.nc')
datahp2=np.append(datahp2,historyp2[0])
            
nc_f_hp2=datahp2[0]
nc_fid_hp2 = Dataset(nc_f_hp2, 'r') 
  
prc=nc_fid_hp2.variables['prc_ann'][3001:4001,:,:]# in mm/day
prc=np.mean(prc,axis=0) #mean over 1000 years
prc=prc*360*0.1 # change unit to cm/year
 
evp=nc_fid_hp2.variables['e_ann'][3001:4001,:,:]
evp=np.mean(evp,axis=0) 
evp=evp*360*0.1 # change unit in cm/year
        
arrayp2h=np.array([prc,evp])   
namesp2h=np.array(['prc_ann','evp_ann'])        
tab='\n'
comment='#'
filename='ModelOutput_p2h.dat'
with file(filename,'w') as outfile:
      for k in range(len(arrayp2h)):
          outfile.write(comment+namesp2h[k]+tab)
          np.savetxt(outfile,arrayp2h[k],fmt='%12.6f')
